Bug 574747 - Volume Keys, FN Brightness Keys not working with 2.6.32.9-70.fc12.x86_64 on Lenovo SL510
Volume Keys, FN Brightness Keys not working with 2.6.32.9-70.fc12.x86_64 on L...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
12
All Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-18 09:06 EDT by David
Modified: 2010-12-03 12:08 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 12:08:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David 2010-03-18 09:06:25 EDT
Description of problem:
None of the volume control buttons are working anymore, or the FN keys to change the  brightness or the hw switch to turn wireless on/off hich worked with a fresh install.

This is on a Lenovo SL510.

Version-Release number of selected component (if applicable):
2.6.32.9-70.fc12.x86_64

How reproducible:
All the time

Steps to Reproduce:
1. Update to kernel
2. Try the volume keys not responding, Try any of the other functions listed and not working.
  
Actual results:
Volume control does not change, Screen brightness does not change. Can't turn wireless on/off via hardware switch.

Expected results:
Volume control works. Screen Brighness FN Keys work. HW switch for wireless works.

Additional info:
This was working about a week a go. This is a Lenovo SL510.
Comment 1 David 2010-04-16 07:31:13 EDT
I have since moved to F13 and this is still the case.
Comment 2 David 2010-05-05 07:13:07 EDT
I am now running F13 and all seems to be working at the moment. Kernel version 2.6.33.3-72.fc13.x86_64 #1 SMP
Comment 3 Bug Zapper 2010-11-03 15:18:21 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-12-03 12:08:11 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.